I have a spreadsheet for some workouts. What i am trying to do is make the previous selection for each list be unavailable in the following weeks sheet. for example in Week1/Day 1 I can pick "Front Dumbbell Lateral Raise" from the list in the first section. Then on Week 2/Day 1 I would like...
I have a workbook that uses named ranges for data validation in drop down lists. For example "table1" (named range) has item 1, item 2 and item 3. this table is referenced to a drop down list in sheet 1cell a9 for example. this table is also referenced in cell a9 on sheet2 in the workbook. The...
Thanks. forgive my ignorance a bit. Where in the code do i paste this (if at all) I tried to run it and i get an error. i did enable the microsoft scripting referance. I want the sheet to have a header that says "project number" and another header "date last modified" date column is obviuos of...
Below is some code that works for what it was originaly intended. however all I would like to have it do now is create the list of Folders withing the main directory and only one sublevel below that. I do not need any file names just the folder names. I have attached a file to show what I would...
Below is some code that works for what it was originaly intended. however all I would like to have it do now is create the list of Folders withing the main directory and only one sublevel below that. I do not need any file names just the folder names.
Sub prjFiles()
Workbooks.Add ' create a new...
I have some new code. The selection set works fine.I changed the layer just to see if my selection set would work.( i dont need to do that) How do I select the arc and/or spline objects within the block definitions and change the lintype? I am a bit lost.
(defun c:fH (/ ssets acadDocument...
Below is some code I am attempting to translate to visual lisp. We have upgraded to 2010 and would like to get away from the VBA editor and I can see it will eventually just go away. What it does is takes some blocks on two specific layers and changes the arcs and/or splines and changes the...
...I have know idea on what to do and the help files were not very helpful.(defun c:RA( / ss obj)
(vl-load-com)
(if (ssget "X" (list (cons 2 "*")))
(progn
(vlax-for obj (setq ss (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object))))
(if (=...
I have a reactor lisp obtained from another website, (author was not given) It works great for attributes but I am trying to figure out how to use it for plain text in a block as well. Any ideas how this can be modified to rotate the text and attributes back to zero? below is the code.
(defun...
NewRot shows nil as well. BL2 and BL3 are also nil. below is what I loaded. Would it help if i emailed the blocks?
(defun c:RJBWD (/ ENT1 BL1 NWNM OLD) ;THIS PROGRAM REPLACES SELECTED DUPLEX RECEPTACLE BLOCKS WITH THE PROPER RECEPTACLE BLOCK IN AN ELECTRICAL DRAWING
(initerr3)
(setq ENT1...
I CHECKED THE VARIABLEs.
NWNM=Jbw
Ent1=204e ;selection set
old=JBWD
BL1=JBWD
B2=nil
B3=nil
ONE OF THE VARIABLES "odnm" IS NOT DEFINED IN THE CODE.
HERE IS THE COMPLETE CODE.
(defun c:RJBWD (/ ENT1 BL1 NWNM OLD ODNM) ;THIS PROGRAM REPLACES SELECTED DUPLEX RECEPTACLE BLOCKS WITH THE PROPER...
thanks carlak
I pasted the code you have provided and it now errors. I have been looking for a long time and just can't find the problem. I get this in the text dialog.
Command: rjbwd
*Cancel*
Command:
Command:
Command:
Error: bad association list: (2 . "JBWD")
I have a routine for replacing 4 of our blocks with 1 dynamic block. the routine works except i would like it to rotate the new block 180 degrees. This is not all my code as I have had some help from several sources. below is the code.
(defun c:RJBWD (/ ENT1 BL1 NWNM OLD ODNM) ;THIS PROGRAM...
This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
By continuing to use this site, you are consenting to our use of cookies.